## org.biojava.bio.search
Class SimpleSeqSimilaritySearchResult

    java.lang.Object
      |
      +--org.biojava.bio.search.SimpleSeqSimilaritySearchResult

public class SimpleSeqSimilaritySearchResult
extends java.lang.Object
implements SeqSimilaritySearchResult, java.lang.Cloneable

an class that implements the trivial (housekeeping) responsibilities of interface SeqSimilaritySearchResult. Objects of this class are immutable.

Author:
  Gerald Loeffler for the IMP

Constructor Summary
`SimpleSeqSimilaritySearchResult(SeqSimilaritySearcher searcher, SymbolList querySequence, SequenceDB sequenceDB, java.util.Map searchParameters, java.util.List hits)` construct an immutable object by giving all its properties.

Method Summary
`java.lang.Object` `clone()`
`boolean` `equals(java.lang.Object o)`
`java.util.List` `getHits()` return an unmodifiable view of the hits list.
`SymbolList` `getQuerySequence()` return the sequence with which the search that produced this search result was performed.
`SeqSimilaritySearcher` `getSearcher()` return the sequence similarity searcher that produced this sequence similarity search result.
`java.util.Map` `getSearchParameters()` return an unmodifiable view of the search parameters map.
`SequenceDB` `getSequenceDB()` return the sequence database against which the search that produced this search result was performed.
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleSeqSimilaritySearchResult

    public SimpleSeqSimilaritySearchResult(SeqSimilaritySearcher searcher,
                                           SymbolList querySequence,
                                           SequenceDB sequenceDB,
                                           java.util.Map searchParameters,
                                           java.util.List hits)

  construct an immutable object by giving all its properties.
  Parameters:
    `searcher` - the sequence similarity searcher that produced this search result. Not null.
    `querySequence` - the query sequence that gave rise to this search result. Not null.
    `sequenceDB` - the sequence database against the search that produced this results was done. Not null.
    `searchParameters` - the search parameters used in the search that produced this result. May be null. If not null, the getter for this property returns an unmodifiable view of this object.
    `hits` - the list of SeqSimilaritySearchHit objects that make up this result. Not null. The getter for this property returns an unmodifiable view of this object.

Method Detail

### getSearcher

    public SeqSimilaritySearcher getSearcher()

  Description copied from interface: SeqSimilaritySearchResult
  return the sequence similarity searcher that produced this sequence similarity search result.
  Specified by:
    getSearcher in interface SeqSimilaritySearchResult
  Tags copied from interface: SeqSimilaritySearchResult
  Returns:
    the SeqSimilaritySearcher object whose search() method produced this object. Never returns null.

### getQuerySequence

    public SymbolList getQuerySequence()

  Description copied from interface: SeqSimilaritySearchResult
  return the sequence with which the search that produced this search result was performed.
  Specified by:
    getQuerySequence in interface SeqSimilaritySearchResult
  Tags copied from interface: SeqSimilaritySearchResult
  Returns:
    the SymbolList object passed to the searchers search() method that produced this object. Never returns null.

### getSequenceDB

    public SequenceDB getSequenceDB()

  Description copied from interface: SeqSimilaritySearchResult
  return the sequence database against which the search that produced this search result was performed.
  Specified by:
    getSequenceDB in interface SeqSimilaritySearchResult
  Tags copied from interface: SeqSimilaritySearchResult
  Returns:
    the SequenceDB object passed to the searchers search() method that produced this object. Never returns null.

### getSearchParameters

    public java.util.Map getSearchParameters()

  return an unmodifiable view of the search parameters map.
  Specified by:
    getSearchParameters in interface SeqSimilaritySearchResult
  Tags copied from interface: SeqSimilaritySearchResult
  Returns:
    the (immutable) search parameter Map object passed to the searchers search() method that produced this object. May return null because SeqSimilaritySearcher.search() must accept a null value for searchParameters.

### getHits

    public java.util.List getHits()

  return an unmodifiable view of the hits list.
  Specified by:
    getHits in interface SeqSimilaritySearchResult
  Tags copied from interface: SeqSimilaritySearchResult
  Returns:
    an (immutable) List of SeqSimilaritySearchHit objects containing all hits in the search result. Never returns null but may return an empty list.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### clone

    public java.lang.Object clone()

  Specified by:
    clone in interface SeqSimilaritySearchResult
  Overrides:
    clone in class java.lang.Object